<div style="margin-top: 20px;">
    <div class="container">
        <button *ngIf="(idInternalHere == customOutgoings.idInternalsrc)" type="button" class="btn btn-danger btn-lg btn-block" (click)="checkPayment()">Periksa Status Pembayaran</button>
        <p-tabView class="form-shipment">
            <div *ngIf = "shipmentTMP?.salesUnitRequirement">
                <p-accordion>
                    <p-accordionTab header="Informasi Pelanggan" [selected]="true" *ngIf="shipmentTMP.salesUnitRequirement.idReqTyp == 102 ||
                    shipmentTMP.salesUnitRequirement.idReqTyp == null ||
                    shipmentTMP.salesUnitRequirement.idReqTyp == 103">
                        <h4 *ngIf="(idInternalHere == customOutgoings.idInternalsrc)">{{shipmentTMP.salesUnitRequirement.personOwner.name}}</h4>
                        <h4 *ngIf="(idInternalHere != customOutgoings.idInternalsrc)">{{customOutgoings.srcInternalName}}</h4>
                        <p *ngIf="(idInternalHere == customOutgoings.idInternalsrc)">{{shipmentTMP.salesUnitRequirement.personOwner.cellPhone1}}</p>
                        <p>{{shipmentTMP.salesUnitRequirement.personOwner.privateMail}}</p>
                        <p>{{shipmentOutgoing.deliveryAddress}}</p>
                    </p-accordionTab>
                    <p-accordionTab header="Informasi Pelanggan" [selected]="true" *ngIf="shipmentTMP.salesUnitRequirement.idReqTyp == 101">
                        <h4>{{shipmentTMP.salesUnitRequirement.organizationOwner.name}}</h4>
                        <p>{{shipmentTMP.salesUnitRequirement.organizationOwner.officePhone}}</p>
                        <p>{{shipmentTMP.salesUnitRequirement.organizationOwner.officeMail}}</p>
                        <p>{{shipmentOutgoing.deliveryAddress}}</p>
                    </p-accordionTab>
                    <p-accordionTab header="Schedule">
                        <table border="0">
                            <tr>
                                <td class="col-xs-1">
                                    Tanggal
                                </td>
                                <td class="col-md-11">
                                    : {{shipmentOutgoing.dateSchedulle | date:'dd-MMMM-yyyy'}}
                                </td>
                            </tr>
                            <tr>
                                <td class="col-xs-1">
                                    Jam
                                </td>
                                <td class="col-md-11">
                                    : {{shipmentOutgoing.dateSchedulle | date:'HH:mm'}}
                                </td>
                            </tr>
                            <tr>
                                <td class="col-xs-1">
                                    Catatan
                                </td>
                                <td class="col-md-11">
                                    : {{shipmentOutgoing.description}}
                                </td>
                            </tr>
                        </table>
                    </p-accordionTab>
                    <p-accordionTab header="Data kendaraan">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12">
                                    <div>
                                        <h5>{{customOutgoings.idframe}}</h5>
                                    </div>
                                    <div>{{customOutgoings.codeType}}</div>
                                    {{shipmentTMP.salesUnitRequirement.productName}}
                                    <div>{{customOutgoings.colorDescription}}</div>
                                </div>
                            </div>
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12" style="text-align:right">
                                    <div></div>
                                    <div>{{customOutgoings.dateSchedulle| date:'dd-MM-yyyy'}}</div>
                                    <div>Status Acc</div>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                    <p-accordionTab *ngIf="(idInternalHere == customOutgoings.idInternalsrc)" header="Foto">
                        <div *ngIf="statusPayment == false">
                            <p-messages [(value)]="messages" [closable]="false"></p-messages>
                        </div>
                        <div class="form-group" *ngIf="statusPayment == true">
                            <jhi-party-document-as-list [idparty]="shipmentTMP.customer.partyId">
                            </jhi-party-document-as-list>
                        </div>
                    </p-accordionTab>
                    <p-accordionTab *ngIf="(idInternalHere == customOutgoings.idInternalsrc)" header="Survey">
                        <div *ngIf="statusPayment == false">
                            <p-messages [(value)]="messages" [closable]="false"></p-messages>
                        </div>
                        <div *ngIf="statusPayment == true">
                            <jhi-communication-event-delivery-as-list [idCostumer]="shipmentTMP.customer.idCustomer">
                            </jhi-communication-event-delivery-as-list>
                        </div>
                    </p-accordionTab>
                </p-accordion>
                <button type="button" class="btn btn-danger btn-lg btn-block" (click)="showBatalKirimDialog()">Batal Kirim</button>
                <!-- <button type="button" class="btn btn-secondary btn-lg btn-block" [routerLink]="['../delivery-order-driver-customer-survey']">Customer Survey</button> -->
                <div *ngIf="statusPayment == true">
                        <button type="button" class="btn btn-secondary btn-lg btn-block" (click)="showStatusPengirimanDialog()">Complete</button>
                </div>
                
            </div>
            
        </p-tabView>
    </div>
</div>
<div style="margin-top: 10px;"></div>


<p-dialog header="Batal Kirim" [(visible)]="batalKirimDialog">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Catatan :</label>
                <textarea [(ngModel)]="shipmentOutgoing.reasonCancel" pInputTextarea class="form-control"></textarea>
            </div>
        </div>
        <div class="col-md-12 pull-right">
            <button type="button" (click)="cancelShipment()" class="btn btn-danger btn-lg btn-block">OK</button>
        </div>
    </div>
</p-dialog>

<p-dialog header="Status Pengiriman" [(visible)]="statusPengirimanDialog">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label>Catatan :</label>
                <textarea [(ngModel)]="shipmentOutgoing.description" pInputTextarea class="form-control"></textarea>
            </div>
        </div>
        <div class="col-md-12 pull-right">
            <button (click)="completeShipment()" type="button" class="btn btn-danger btn-lg btn-block">OK</button>
        </div>
    </div>
</p-dialog>

<p-dialog header="List Aksesoris" [(visible)]="pengirimanAksesoris">
    <div class="container">
        <div class="row frame-do">
            <div class="col-md-12">
                <div class="ui-g-12">
                    <h6 jhiTranslate="mpmApp.deliveryOrder.detail.labelListAccecories">List Aksesoris</h6>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc1" [(ngModel)]="customOutgoings.acc1" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc1" for="field_orderItem">Acc 1</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc2" [(ngModel)]="customOutgoings.acc2" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc2" for="field_orderItem">Acc 2</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc3" [(ngModel)]="customOutgoings.acc3" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc3" for="field_orderItem">Acc 3</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc4" [(ngModel)]="customOutgoings.acc4" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc4" for="field_orderItem">Acc 4</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc5" [(ngModel)]="customOutgoings.acc5" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc5" for="field_orderItem">Acc 5</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc6" [(ngModel)]="customOutgoings.acc6" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc6" for="field_orderItem">Acc 6</label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <p-checkbox name="acc7" [(ngModel)]="customOutgoings.acc7" binary="true"></p-checkbox>
                                <label class="form-control-label" jhiTranslate="mpmApp.pickingSlip.acc7" for="field_orderItem">Acc 7</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <h6>Material</h6>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <p-checkbox name="promat1" [(ngModel)]="customOutgoings.promat1" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Promo Main Dealer</label>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <p-checkbox name="promat2" [(ngModel)]="customOutgoings.promat2" binary="true"></p-checkbox>
                                <label class="form-control-label" for="field_orderItem">Promo Direct Gift</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</p-dialog>